// 版本升级页面配置
export const verupMainTable = {
  setting: {
    tableName: 'sVersion',
    tableType: 'radio',
    interType: 'inner',
    actionfixed: false,
    columnfixed: false,
    primaryKey: 'ID',
    order: 'ID desc',
    innerFunc: '',
    dataresource: 'select * from sVersion_Local where deleted=0 and status=10 and appkey=@Appkey@',
    queryType: 'query',
  },
  search:[
    {label: '传输号', field: 'VersionName', type: 'text', initval:'', oriInitval: '', required: false, match: 'like', uuid: '1581736007223d84ddmht4gdfb1850nh'}
  ],
  action:[
    {label:'添加',OpenType:'pop',intertype:'outer',innerFunc:'',sysInterface:'true',outerFunc:'s_get_sVersiondetail_Up',interface:'http://cloud.mk9h.cn/webapi/dostars',callbackFunc:'s_sVersion_Local_add',position:'toolbar',$toolbtn: true,Ot:'notRequired',execSuccess:'grid',execError:'never',icon:'',class:'green',uuid:'1583979660949vpssdb2p2lsqff9abkr'},
    {label:'关闭',OpenType:'prompt',intertype:'inner',innerFunc:'',position:'toolbar',$toolbtn: true,Ot:'requiredSgl',execSuccess:'grid',execError:'never',icon:'',class:'border-danger',sql:'sVersion',sqlType:'LogicDelete',uuid:'1583979660949msql0p8bgiiedlu4r82',
      verify: {
        default: 'false',
        invalid: 'true',
        uniques: [],
        contrasts: [],
        accountdate: 'false',
        customverifys: [],
        billcodes: [],
        voucher: {enabled: false},
        scripts:[
          {
            sql: 'declare @Vid nvarchar(50)\nset @Vid=\'\'\nselect top 1 @Vid=id from sVersionDetail_Local where BID=@ID@ and Status =10\n\nif @Vid=\'\'\nbegin\n       delete sVersion_Local where id =@ID@\n       delete sVersionDetail_Local where bid =@ID@\nend\nelse\nbegin\n      update sVersion_Local set deleted=1,Modifydate=getdate(),ModifyUserID=@UserID@ where id =@ID@\nend',
            uuid: '15839986098557o6ri091qo9flrc5c0a'
          }
        ]
      }
    },
    // {OpenType:"prompt",Ot:"notRequired",callbackFunc:"",position:"toolbar",sysInterface:"true",execSuccess:"grid",label:"更新版本",intertype:"outer",execError:"never",class:"primary",
    //   icon:"",interface:"http://cloud.mk9h.cn/webapi/dostars",innerFunc:"",uuid:"15926364942911efnal5pv6r92if2vr2",outerFunc:"s_app_version_upt"}
  ],
  columns:[
    {label:'ID',field:'ID',type:'text',Align:'left',Hide:'true',IsSort:'true',Width:120,prefix:'',postfix:'',matchVal:'',color:'',fieldlength:50,uuid:'1581736658674f11dg01sqdneu8bbn2q'},
    {label:'传输号',field:'VersionName',type:'text',Align:'left',Hide:'false',IsSort:'true',Width:120,prefix:'',postfix:'',matchVal:'',color:'',fieldlength:50,uuid:'158173670848068ku8o5a7csuiepd4v8'},
    {label:'说明',field:'ProgramName',type:'text',Align:'left',Hide:'false',IsSort:'false',Width:120,prefix:'',postfix:'',matchVal:'',color:'',fieldlength:50,uuid:'15817367246420ubig4dkim4on7bv3kp'},
    {label:'状态',field:'StatusName',type:'text',Align:'left',Hide:'false',IsSort:'true',Width:120,prefix:'',postfix:'',matchVal:'',color:'',fieldlength:50,uuid:'1581736695990kvpkao3d14etkc88c12'},
    {label:'创建时间',field:'CreateDate',type:'text',Align:'left',Hide:'false',IsSort:'true',Width:120,prefix:'',postfix:'',matchVal:'',color:'',fieldlength:50,uuid:'1581736740656s2o0llughpc779l0qti'}
  ],
  gridBtn: {display: false},
  tabs:[
    {label:'脚本',type:'SubTable',linkTab:'15839835082267ac69e4gm0ig6ac00ob',icon:'',supMenu:'1583979633842550imkchl4qt4qppsiv'/* mainTable */,equalTab:[],uuid:'1583979660949hguu6ildhut1ig5mco1'},
    {label:'已执行',type:'SubTable',linkTab:'1583984646423lo60vt7snppb55lslbt',icon:'',supMenu:'1583979633842550imkchl4qt4qppsiv'/* mainTable */,equalTab:[],uuid:'1583984632864kedhlvu7l31us7pkmbq'}
  ]
}

export const buttonConfig = {
  '1583979660949vpssdb2p2lsqff9abkr': {
    type: 'Modal',
    version: '1.0',
    setting:{title: '添加',width:45,focus:'VersionName',finish:'close',clickouter:'unclose',container:'tab',display:'modal'},
    tables:[],
    fields:[
      {label:'传输号',field:'VersionName',span:24,labelwidth: 33.3,type:'text',initval:'',regular:'letter&number',readonly:'false',required:'true',hidden:'false',fieldlength:20,readin:'true',uuid:'1581738428097qgoe876i5u0866373uu'}
    ]
  },
  '1583983849299g1qfd28g3c9n9e0e57a': {
    type:'Modal',
    setting:{
      title:'执行',
      width:60,
      focus:'SrcID',
      cols:'2',
      finish:'close',
      clickouter:'unclose',
      container:'tab',
      display:'prompt'
    },
    groups: [],
    fields: [
      {'label':'SrcID','field':'SrcID','type':'text','initval':'','regular':'','readonly':'false','required':'true','hidden':'false','fieldlength':50,'readin':'true','supField':'','uuid':'1584001255960ns626a3pkfkhk04hn7u'}
    ]
  }
}

export const tabConfig = {
  '15839835082267ac69e4gm0ig6ac00ob': {
    tabName:'脚本',
    tabNo:'sVersionDetail_LocalM',
    Remark:'',
    uuid:'15839835082267ac69e4gm0ig6ac00ob',
    setting:{
      tableName:'sVersionDetail_Local',
      tableType:'checkbox',
      interType:'inner',
      innerFunc:'',
      dataresource:'select * from sVersionDetail_Local where BID=@BID@ and deleted=0 and status=0',
      queryType:'query',
      primaryKey:'ID',
      order:'Sort',
      onload:'true'
    },
    search:[
      {label:'综合查询',field:'Remark,KeyWords,TypeName',type:'text',initval:'', oriInitval: '', required: false,match:'like','ratio':6,uuid:'1583983588787acl55md59fu9kpb52db'}
    ],
    action:[
      {label:'执行',OpenType:'pop',intertype:'outer',innerFunc:'',sysInterface:'true',outerFunc:'s_get_sVersionDetail_Ltext',interface:'http://cloud.mk9h.cn/webapi/dostars',callbackFunc:'s_sDataDictb_TBBack',position:'toolbar',$toolbtn: true,execSuccess:'grid',execError:'never',icon:'',class:'primary',Ot:'required',progress: 'progressbar',uuid:'1583983849299g1qfd28g3c9n9e0e57a',verify:null},
      {label:'关闭',OpenType:'prompt',intertype:'inner',innerFunc:'',position:'toolbar',$toolbtn: true,Ot:'required',progress: 'progressbar',execSuccess:'grid',execError:'never',icon:'',class:'border-danger',sql:'sVersionDetail_Local',sqlType:'LogicDelete',uuid:'1583984089282i4i140hacimbki9s5gh',
        verify:{
          default: 'true',
          invalid: 'true',
          uniques: [],
          contrasts: [],
          accountdate: 'false',
          customverifys: [],
          billcodes: [],
          voucher: {enabled: false},
          scripts: []
        }
      }
    ],
    columns:[
      {label:'ID',field:'ID',type:'text',Align:'left',Hide:'true',IsSort:'false',Width:120,prefix:'',postfix:'',matchVal:'',color:'',fieldlength:50,uuid:'1583983669503v35f3e7f52iosklnomg'},
      {label:'关键字',field:'KeyWords',type:'text',Align:'left',Hide:'false',IsSort:'false',Width:120,prefix:'',postfix:'',matchVal:'',color:'',fieldlength:50,uuid:'15839836784475gl5v26qgual768ab8u'},
      {label:'描述',field:'Remark',type:'text',Align:'left',Hide:'false',IsSort:'false',Width:120,prefix:'',postfix:'',matchVal:'',color:'',fieldlength:50,uuid:'15839837044624m3k41m7omhs6q8f9fo'},
      {label:'类型',field:'TypeName',type:'text',Align:'left',Hide:'false',IsSort:'false',Width:120,prefix:'',postfix:'',matchVal:'',color:'',fieldlength:50,uuid:'1583983717421ts67iu14hmmeqivel5e'},
      {label:'排序',field:'Sort',type:'text',Align:'left',Hide:'false',IsSort:'false',Width:120,prefix:'',postfix:'',matchVal:'',color:'',fieldlength:50,uuid:'1583983728654ks05hor8mgiqbp61ivl'},
      {label:'SrcID',field:'SrcID',type:'text',Align:'left',Hide:'true',IsSort:'false',Width:120,prefix:'',postfix:'',matchVal:'',color:'',fieldlength:50,uuid:'1584001165784gu23d35b43i860n0a19'}
    ],
    gridBtn: {display: false}
  },
  '1583984646423lo60vt7snppb55lslbt': {
    tabName:'已执行',
    tabNo:'sVersionDetail_Local_ReadyM',
    Remark:'',
    uuid:'1583984646423lo60vt7snppb55lslbt',
    setting:{
      tableName:'sVersionDetail_Local',
      tableType:'checkbox',
      interType:'inner',
      innerFunc:'',
      dataresource:'select * from sVersionDetail_Local where BID=@BID@ and  deleted=0 and  status=10',
      queryType:'query',
      primaryKey:'ID',
      order:'Sort',
      onload:'true'
    },
    search:[
      {label:'综合查询',field:'Remark,KeyWords,TypeName',type:'text',initval:'', oriInitval: '', required: false,match:'like',uuid:'15839847143720ggaaukqtfhp3mirsuc'}
    ],
    action:[],
    columns:[
      {label:'ID',field:'ID',type:'text',Align:'left',Hide:'true',IsSort:'true',Width:120,prefix:'',postfix:'',matchVal:'',color:'',fieldlength:50,uuid:'1583984775854fkg1kriv6un6v6r21mu'},
      {label:'关键字',field:'KeyWords',type:'text',Align:'left',Hide:'false',IsSort:'true',Width:120,prefix:'',postfix:'',matchVal:'',color:'',fieldlength:50,uuid:'1583984782136vspicmogvs44o5c0u8n'},
      {label:'描述',field:'Remark',type:'text',Align:'left',Hide:'false',IsSort:'true',Width:120,prefix:'',postfix:'',matchVal:'',color:'',fieldlength:50,uuid:'1583984799089vi8v268uur6mhqmi71o'},
      {label:'类型',field:'TypeName',type:'text',Align:'left',Hide:'false',IsSort:'true',Width:120,prefix:'',postfix:'',matchVal:'',color:'',fieldlength:50,uuid:'1583984810593u53835abq83e7h63vce'},
      {label:'排序',field:'Sort',type:'number',Align:'left',Hide:'false',IsSort:'true',Width:120,'decimal':0,'format':'',prefix:'',postfix:'',match:'',matchVal:'',color:'',uuid:'1583984826744bttg6mt4oqskckpoasl'}
    ],
    gridBtn: {display: false}
  }
}
